package com.bytedance.android.livesdk;

import X.0CB;
import X.0CH;
import X.6Is;
import X.C2675Gg0;
import X.C4049H5e;
import X.C4054H5j;
import X.C4055H5k;
import X.C6455Hzs;
import X.PgU;
import X.PjC;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LayeredElementConfig;
import com.bytedance.ies.sdk.widgets.LayeredElementConfigSetting;
import com.bytedance.ies.sdk.widgets.LayeredElementConfiguration;
import com.bytedance.ies.sdk.widgets.LayeredElementContext;
import com.bytedance.ies.sdk.widgets.LayeredElementManager;
import kotlin.h.b.n;

public abstract class BaseLayeredElementManager<T extends LayeredElementContext> extends LayeredElementManager<T> implements 6Is {
    public static final LayeredElementConfig LIZ;
    public static final C4055H5k LIZIZ = new C4055H5k((byte) 0);

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public <V> PjC<V, V> createRxTransformer() {
        C6455Hzs hzs = new C6455Hzs();
        n.LIZIZ(hzs, "");
        return hzs;
    }

    static {
        Covode.recordClassIndex(11212);
        LayeredElementConfig value = LayeredElementConfigSetting.getValue();
        LIZ = value;
        LayeredElementConfiguration.INSTANCE.setGuidelineIndicatorEnabled(value.isGuidelineIndicatorEnabled());
        LayeredElementConfiguration.INSTANCE.setAnimationDuration(value.getAnimationDuration());
        LayeredElementConfiguration.INSTANCE.setDebug(false);
        LayeredElementConfiguration.INSTANCE.setSladarReporter(C4054H5j.LIZ);
    }

    public <V> PgU<V> createRxObservable(Class<V> cls) {
        PgU<V> LIZ2 = C2675Gg0.LIZ().LIZ(cls);
        n.LIZIZ(LIZ2, "");
        return LIZ2;
    }

    public BaseLayeredElementManager(Context context, 0CH r2, C4049H5e h5e, DataChannel dataChannel) {
        super(context, r2, h5e, dataChannel);
    }
}
